aboutsummaryrefslogtreecommitdiff
path: root/scripts/package
diff options
context:
space:
mode:
authorMichal Marek <mmarek@suse.cz>2011-05-05 00:37:13 +0200
committerMichal Marek <mmarek@suse.cz>2011-05-24 17:44:00 +0200
commit857c7e438769c0f251092a20b587d6e743ee489d (patch)
treeab2743551847374f8bece670430d51f1d9dc3522 /scripts/package
parente1287eb891e326ea8451b03ba1f9b0d66abdb13d (diff)
downloadlinux-857c7e438769c0f251092a20b587d6e743ee489d.tar.gz
rpm-pkg: Fix when current directory is a symlink
The better fix would be to stop using the parent directory (principle of least surprise), but as long as we use it, use it consistently. Signed-off-by: Michal Marek <mmarek@suse.cz>
Diffstat (limited to 'scripts/package')
-rw-r--r--scripts/package/Makefile2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/package/Makefile b/scripts/package/Makefile
index 1b7eaea8312..006960ebbce 100644
--- a/scripts/package/Makefile
+++ b/scripts/package/Makefile
@@ -28,7 +28,7 @@ RPM := $(shell if [ -x "/usr/bin/rpmbuild" ]; then echo rpmbuild; \
# Remove hyphens since they have special meaning in RPM filenames
KERNELPATH := kernel-$(subst -,_,$(KERNELRELEASE))
MKSPEC := $(srctree)/scripts/package/mkspec
-PREV := set -e; cd ..;
+PREV := set -e; cd -P ..;
# rpm-pkg
# ---------------------------------------------------------------------------